import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_applied_info_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_applied_info_entity.g.dart';

@JsonSerializable()
class JobListAppliedInfoEntity {
	@JSONField(name: "job_id")
	int jobId = 0;
	@JSONField(name: "job_title")
	String? jobTitle = null;
	String? department = null;
	@JSONField(name: "job_unit")
	String? jobUnit = null;
	@JSONField(name: "job_date")
	String? jobDate = null;
	@JSONField(name: "can_append")
	bool? canAppend = false;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;

	JobListAppliedInfoEntity();

	factory JobListAppliedInfoEntity.fromJson(Map<String, dynamic> json) => $JobListAppliedInfoEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedInfoEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}